import React from 'react';
declare class Form extends React.Component {
    props: any;
    state: any;
    static propTypes: any;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    form_onKeyPress(evt: any): void;
    onFirstFailed(data: any, fieldname: any, block: any): void;
    componentDidUpdate(prevProps: any): void;
    onClick(e: any, field: any, data: any): void;
    onChange(field: any, selectedValue: any, data: any): void;
    render(): import("react/jsx-runtime").JSX.Element;
    renderComp(field: any, value: any, error: any, data: any, index: any): import("react/jsx-runtime").JSX.Element;
    handleAction(evt: any, action: any): void;
    handleOnKeyPress(field: any, selectedValue: any, data: any): void;
    renderAction(action: any, index: any, config: any): import("react/jsx-runtime").JSX.Element;
}
export default Form;
